# Visualization
TKV2d
AIS2D

# AIS2D_DataMapNodeOfDataMapOfIOStatus Class Reference

`#include <AIS2D_DataMapNodeOfDataMapOfIOStatus.hxx>`

## Public Member Functions

| AIS2D_DataMapNodeOfDataMapOfIOStatus (const Handle(AIS2D_InteractiveObject)&K, const Handle(AIS2D_GlobalStatus)&I, const TCollection_MapNodePtr &n)
Handle_AIS2D_InteractiveObject & | Key () const
Handle_AIS2D_GlobalStatus & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_AIS2D_InteractiveObject | myKey
Handle_AIS2D_GlobalStatus | myValue

## Constructor & Destructor Documentation

AIS2D_DataMapNodeOfDataMapOfIOStatus::AIS2D_DataMapNodeOfDataMapOfIOStatus | ( | const Handle(AIS2D_InteractiveObject)& | K,
|  | const Handle(AIS2D_GlobalStatus)& | I,
|  | const TCollection_MapNodePtr & | n
| ) |

## Member Function Documentation

Standard_EXPORT const AIS2D_DataMapNodeOfDataMapOfIOStatus::Handle | ( | Standard_Type |  | ) | const

Handle_AIS2D_InteractiveObject& AIS2D_DataMapNodeOfDataMapOfIOStatus::Key | ( |  | ) | const

Handle_AIS2D_GlobalStatus& AIS2D_DataMapNodeOfDataMapOfIOStatus::Value | ( |  | ) | const

## Field Documentation

Handle_AIS2D_InteractiveObject AIS2D_DataMapNodeOfDataMapOfIOStatus::myKey `[private]`

Handle_AIS2D_GlobalStatus AIS2D_DataMapNodeOfDataMapOfIOStatus::myValue `[private]`

The documentation for this class was generated from the following file:

- AIS2D_DataMapNodeOfDataMapOfIOStatus.hxx